| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::RowWiseTuple Class Reference

`#include <NTupleImplementation.h>`

Inheritance diagram for NTuple::RowWiseTuple:

[legend]
Collaboration diagram for NTuple::RowWiseTuple:

[legend]
List of all members.

## Detailed Description

Definition at line 134 of file NTupleImplementation.h.

## Public Member Functions
| RowWiseTuple (const std::string &title)
| Standard Constructor.
virtual | ~RowWiseTuple ()
| Standard Destructor.
virtual const CLID & | clID () const
| Retrieve Reference to class defininition structure.
## Static Public Member Functions
static const CLID & | classID ()
| Static access to class defininition structure.

## Constructor & Destructor Documentation

NTuple::RowWiseTuple::RowWiseTuple | ( | const std::string & | title | ) | `[inline]`

Standard Constructor.

Definition at line 137 of file NTupleImplementation.h.

    00137                                            : TupleImp(title)    {
    00138     }

virtual NTuple::RowWiseTuple::~RowWiseTuple | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 140 of file NTupleImplementation.h.

    00140                               {
    00141     }

## Member Function Documentation

virtual const CLID& NTuple::RowWiseTuple::clID | ( |  | ) | const`[inline, virtual]`

Retrieve Reference to class defininition structure.

Reimplemented from DataObject.

Definition at line 143 of file NTupleImplementation.h.

References classID().

    00143                                        {
    00144       return RowWiseTuple::classID();
    00145     }

static const CLID& NTuple::RowWiseTuple::classID | ( |  | ) | `[inline, static]`

Static access to class defininition structure.

Reimplemented from DataObject.

Definition at line 147 of file NTupleImplementation.h.

References CLID_RowWiseTuple.

Referenced by clID().

    00147                                       {
    00148       return CLID_RowWiseTuple;
    00149     }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTupleImplementation.h